<?

if (!$nom_partie) {

	if ($_POST['nom_partie']) {
	
		$nom_partie = $_POST['nom_partie'];	
	
	} else if ($_GET['nom_partie']) {
	
		$nom_partie = $_GET['nom_partie'];
	
	} else $nom_partie = 'les_coups';
} 

$nom_partie = filtrer_nom_partie($nom_partie);

if (!$angle_echiquier) {

	$angle_echiquier = $_GET['angle_echiquier'];
	
	if (!$angle_echiquier) {
		
		$angle_echiquier = 'courant';
	}
}

if (!file_exists("parties/".$nom_partie.".txt")) {
	
		exit;	  
} else {
	
	$f=@fopen("parties/".$nom_partie.".txt","r");
}

if (!$num_ligne) {

		if ($_GET['num_ligne']) {
	
			$voir_ligne = $_GET['num_ligne'];
			
		} else $voir_ligne = 0;
		
} else {

$voir_ligne = $num_ligne;
}


$texte = '';

$num_ligne = 0;
$ligne = '';
$i = 0;

$info_coups = "[ <font color=green>{$nom_partie}</font> ]</b><br><br>";

if ($voir_ligne) {
	
		$info_coups .= "<a href='#' onclick='numligne=0; afficher_status_partie();'><u>Cliquez ici pour continuer la partie</u></a><br><br>";
}

$fichier_des_coups = '';

while (!feof($f)) {

	$i++;
	
	$ligne = fgets($f,255);
	
	$fichier_des_coups .= $ligne;
	
	$imp_i = $i;
	
	if ($ligne) {
		
		if ($voir_ligne == $i) {
	
			$info_coups .= "{$imp_i} - <a name={$i} href='#{$i}' onClick=\"bool_animer_piece = true; numligne={$i};\"><u><font color=red><b>demi-{$ligne}</b></font></u></a>{$str_blanc}<br>";
		
		} else {
			
			$info_coups .= "{$imp_i} - <a name={$i} href='#{$i}' onClick=\"bool_animer_piece = true; numligne={$i};\">demi-{$ligne}</a>{$str_blanc}<br>";
		}

	}

}

fclose($f);

if (($voir_ligne < $i) && ($voir_ligne != 0)) { $suivre = 1; }
	
if (!$voir_ligne) { $voir_ligne = $i - 1; }

$info_coups .= "<br>";

if ($suivre) {
	
	$info_coups .= "<a href='#' onclick='numligne=0; afficher_status_partie();'><u>Cliquez ici pour continuer la partie</u></a><br><br>";
}

?>

